package de.hft.stuttgart.volumecalculator;

/**
 * This exception will be thrown if the geometry of the subject of calculation does not exist
 * or if the triangulation of a geometry mesh failed.
 * You may add other reasons and applications for this exception in the future.
 * 
 * @author Marcel Bruse
 *
 */
public class VolumeCalculationException extends Exception {

	private static final long serialVersionUID = -3378105539201386810L;

}