
package eu.simstadt.ade.energy;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse fr EndUseType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="EndUseType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="SpaceHeating"/>
 *     &lt;enumeration value="SpaceCooling"/>
 *     &lt;enumeration value="DomesticHotWater"/>
 *     &lt;enumeration value="Ventilation"/>
 *     &lt;enumeration value="Cooking"/>
 *     &lt;enumeration value="Lighting"/>
 *     &lt;enumeration value="SpecificElectricalAppliances"/>
 *     &lt;enumeration value="Process"/>
 *     &lt;enumeration value="OtherOrCombination"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "EndUseType")
@XmlEnum
public enum EndUseType {

    @XmlEnumValue("SpaceHeating")
    SPACE_HEATING("SpaceHeating"),
    @XmlEnumValue("SpaceCooling")
    SPACE_COOLING("SpaceCooling"),
    @XmlEnumValue("DomesticHotWater")
    DOMESTIC_HOT_WATER("DomesticHotWater"),
    @XmlEnumValue("Ventilation")
    VENTILATION("Ventilation"),
    @XmlEnumValue("Cooking")
    COOKING("Cooking"),
    @XmlEnumValue("Lighting")
    LIGHTING("Lighting"),
    @XmlEnumValue("SpecificElectricalAppliances")
    SPECIFIC_ELECTRICAL_APPLIANCES("SpecificElectricalAppliances"),
    @XmlEnumValue("Process")
    PROCESS("Process"),
    @XmlEnumValue("OtherOrCombination")
    OTHER_OR_COMBINATION("OtherOrCombination");
    private final String value;

    EndUseType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static EndUseType fromValue(String v) {
        for (EndUseType c: EndUseType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
