
package eu.simstadt.ade.energy;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für extraRoomHeatingType.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="extraRoomHeatingType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="noRoom"/>
 *     &lt;enumeration value="notHeated"/>
 *     &lt;enumeration value="heated"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "extraRoomHeatingType")
@XmlEnum
public enum ExtraRoomHeatingType {

    @XmlEnumValue("noRoom")
    NO_ROOM("noRoom"),
    @XmlEnumValue("notHeated")
    NOT_HEATED("notHeated"),
    @XmlEnumValue("heated")
    HEATED("heated");
    private final String value;

    ExtraRoomHeatingType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ExtraRoomHeatingType fromValue(String v) {
        for (ExtraRoomHeatingType c: ExtraRoomHeatingType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
