
package eu.simstadt.ade.energy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für Fuel complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="Fuel">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="primaryEnergyFactor" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="co2EqEmissionFactor" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="energyDensity" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="energyDensityUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Fuel", propOrder = {
    "id",
    "description",
    "primaryEnergyFactor",
    "co2EqEmissionFactor",
    "energyDensity",
    "energyDensityUnit"
})
public class Fuel {

    protected int id;
    @XmlElement(required = true)
    protected String description;
    protected Double primaryEnergyFactor;
    protected Double co2EqEmissionFactor;
    protected Double energyDensity;
    protected String energyDensityUnit;

    /**
     * Ruft den Wert der id-Eigenschaft ab.
     * 
     */
    public int getId() {
        return id;
    }

    /**
     * Legt den Wert der id-Eigenschaft fest.
     * 
     */
    public void setId(int value) {
        this.id = value;
    }

    public boolean isSetId() {
        return true;
    }

    /**
     * Ruft den Wert der description-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Legt den Wert der description-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    public boolean isSetDescription() {
        return (this.description!= null);
    }

    /**
     * Ruft den Wert der primaryEnergyFactor-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getPrimaryEnergyFactor() {
        return primaryEnergyFactor;
    }

    /**
     * Legt den Wert der primaryEnergyFactor-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setPrimaryEnergyFactor(Double value) {
        this.primaryEnergyFactor = value;
    }

    public boolean isSetPrimaryEnergyFactor() {
        return (this.primaryEnergyFactor!= null);
    }

    /**
     * Ruft den Wert der co2EqEmissionFactor-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getCo2EqEmissionFactor() {
        return co2EqEmissionFactor;
    }

    /**
     * Legt den Wert der co2EqEmissionFactor-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setCo2EqEmissionFactor(Double value) {
        this.co2EqEmissionFactor = value;
    }

    public boolean isSetCo2EqEmissionFactor() {
        return (this.co2EqEmissionFactor!= null);
    }

    /**
     * Ruft den Wert der energyDensity-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getEnergyDensity() {
        return energyDensity;
    }

    /**
     * Legt den Wert der energyDensity-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setEnergyDensity(Double value) {
        this.energyDensity = value;
    }

    public boolean isSetEnergyDensity() {
        return (this.energyDensity!= null);
    }

    /**
     * Ruft den Wert der energyDensityUnit-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEnergyDensityUnit() {
        return energyDensityUnit;
    }

    /**
     * Legt den Wert der energyDensityUnit-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEnergyDensityUnit(String value) {
        this.energyDensityUnit = value;
    }

    public boolean isSetEnergyDensityUnit() {
        return (this.energyDensityUnit!= null);
    }

}
