
package eu.simstadt.ade.energy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für ShellProperties complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="ShellProperties">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="constructionTypeId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="uValue" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="windowRatio" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="windowFrameRatio" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="windowTypeId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="windowOpenableRatio" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="shadingTypeId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="shortWaveReflectance" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShellProperties", propOrder = {
    "constructionTypeId",
    "uValue",
    "windowRatio",
    "windowFrameRatio",
    "windowTypeId",
    "windowOpenableRatio",
    "shadingTypeId",
    "shortWaveReflectance"
})
public class ShellProperties {

    protected String constructionTypeId;
    protected Double uValue;
    protected Double windowRatio;
    protected Double windowFrameRatio;
    protected String windowTypeId;
    protected Double windowOpenableRatio;
    protected String shadingTypeId;
    protected Double shortWaveReflectance;

    /**
     * Ruft den Wert der constructionTypeId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConstructionTypeId() {
        return constructionTypeId;
    }

    /**
     * Legt den Wert der constructionTypeId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConstructionTypeId(String value) {
        this.constructionTypeId = value;
    }

    public boolean isSetConstructionTypeId() {
        return (this.constructionTypeId!= null);
    }

    /**
     * Ruft den Wert der uValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getUValue() {
        return uValue;
    }

    /**
     * Legt den Wert der uValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setUValue(Double value) {
        this.uValue = value;
    }

    public boolean isSetUValue() {
        return (this.uValue!= null);
    }

    /**
     * Ruft den Wert der windowRatio-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getWindowRatio() {
        return windowRatio;
    }

    /**
     * Legt den Wert der windowRatio-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setWindowRatio(Double value) {
        this.windowRatio = value;
    }

    public boolean isSetWindowRatio() {
        return (this.windowRatio!= null);
    }

    /**
     * Ruft den Wert der windowFrameRatio-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getWindowFrameRatio() {
        return windowFrameRatio;
    }

    /**
     * Legt den Wert der windowFrameRatio-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setWindowFrameRatio(Double value) {
        this.windowFrameRatio = value;
    }

    public boolean isSetWindowFrameRatio() {
        return (this.windowFrameRatio!= null);
    }

    /**
     * Ruft den Wert der windowTypeId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWindowTypeId() {
        return windowTypeId;
    }

    /**
     * Legt den Wert der windowTypeId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWindowTypeId(String value) {
        this.windowTypeId = value;
    }

    public boolean isSetWindowTypeId() {
        return (this.windowTypeId!= null);
    }

    /**
     * Ruft den Wert der windowOpenableRatio-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getWindowOpenableRatio() {
        return windowOpenableRatio;
    }

    /**
     * Legt den Wert der windowOpenableRatio-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setWindowOpenableRatio(Double value) {
        this.windowOpenableRatio = value;
    }

    public boolean isSetWindowOpenableRatio() {
        return (this.windowOpenableRatio!= null);
    }

    /**
     * Ruft den Wert der shadingTypeId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShadingTypeId() {
        return shadingTypeId;
    }

    /**
     * Legt den Wert der shadingTypeId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShadingTypeId(String value) {
        this.shadingTypeId = value;
    }

    public boolean isSetShadingTypeId() {
        return (this.shadingTypeId!= null);
    }

    /**
     * Ruft den Wert der shortWaveReflectance-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getShortWaveReflectance() {
        return shortWaveReflectance;
    }

    /**
     * Legt den Wert der shortWaveReflectance-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setShortWaveReflectance(Double value) {
        this.shortWaveReflectance = value;
    }

    public boolean isSetShortWaveReflectance() {
        return (this.shortWaveReflectance!= null);
    }

}
