@ECHO OFF
REM Change code page in order to display UTF-8 symbols in Windows console
chcp 65001 >nul
cd /D "%~dp0"
set "maxRAM=2g"
set "startRAM=512m"

set "launch=java -d64 -classpath lib/*;workflows/* -Xms%startRAM% -Xmx%maxRAM% -Djava.util.logging.config.file=logging.properties -Dfile.encoding=UTF-8"
REM Uncomment next line: Set to a specific language code (e.g. DE, FR or US) if you want CSV files to be written in the corresponding format.
REM set "launch=java -d64 -classpath lib/*;workflows/* -Xms%startRAM% -Xmx%maxRAM% -Djava.util.logging.config.file=logging.properties -Duser.language=en -Duser.country=US"

if "%~1" == "" (
	ECHO Launching: %launch% eu.simstadt.desktop.SimStadtApp
	%launch% eu.simstadt.desktop.SimStadtApp
) ELSE (
	ECHO Launching: %launch% eu.simstadt.desktop.SimStadtCommandLineInterface "%~1"
	%launch% eu.simstadt.desktop.SimStadtCommandLineInterface "%~1"
)
