
package eu.simstadt.ade.energy;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für EndUse complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="EndUse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="type" type="{http://simstadt.eu/ade/energy}EndUseType"/>
 *         &lt;element name="energyDemand" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="primaryEnergy" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="co2EqEmission" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="energyGenerationSystem" type="{http://simstadt.eu/ade/energy}EnergyGenerationSystem" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EndUse", propOrder = {
    "type",
    "energyDemand",
    "primaryEnergy",
    "co2EqEmission",
    "energyGenerationSystems"
})
public class EndUse {

    protected EndUseType type;
    protected Integer energyDemand;
    protected Integer primaryEnergy;
    protected Integer co2EqEmission;
    @XmlElement(name = "energyGenerationSystem")
    protected List<EnergyGenerationSystem> energyGenerationSystems;

    /**
     * Ruft den Wert der type-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link EndUseType }
     *     
     */
    public EndUseType getType() {
        return type;
    }

    /**
     * Legt den Wert der type-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link EndUseType }
     *     
     */
    public void setType(EndUseType value) {
        this.type = value;
    }

    public boolean isSetType() {
        return (this.type!= null);
    }

    /**
     * Ruft den Wert der energyDemand-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getEnergyDemand() {
        return energyDemand;
    }

    /**
     * Legt den Wert der energyDemand-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setEnergyDemand(Integer value) {
        this.energyDemand = value;
    }

    public boolean isSetEnergyDemand() {
        return (this.energyDemand!= null);
    }

    /**
     * Ruft den Wert der primaryEnergy-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPrimaryEnergy() {
        return primaryEnergy;
    }

    /**
     * Legt den Wert der primaryEnergy-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPrimaryEnergy(Integer value) {
        this.primaryEnergy = value;
    }

    public boolean isSetPrimaryEnergy() {
        return (this.primaryEnergy!= null);
    }

    /**
     * Ruft den Wert der co2EqEmission-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCo2EqEmission() {
        return co2EqEmission;
    }

    /**
     * Legt den Wert der co2EqEmission-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCo2EqEmission(Integer value) {
        this.co2EqEmission = value;
    }

    public boolean isSetCo2EqEmission() {
        return (this.co2EqEmission!= null);
    }

    /**
     * Gets the value of the energyGenerationSystems property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the energyGenerationSystems property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEnergyGenerationSystems().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EnergyGenerationSystem }
     * 
     * 
     */
    public List<EnergyGenerationSystem> getEnergyGenerationSystems() {
        if (energyGenerationSystems == null) {
            energyGenerationSystems = new ArrayList<EnergyGenerationSystem>();
        }
        return this.energyGenerationSystems;
    }

    public boolean isSetEnergyGenerationSystems() {
        return ((this.energyGenerationSystems!= null)&&(!this.energyGenerationSystems.isEmpty()));
    }

    public void unsetEnergyGenerationSystems() {
        this.energyGenerationSystems = null;
    }

}
