
package eu.simstadt.ade.energy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für EnergyGenerationSystem complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="EnergyGenerationSystem">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="energyDemandCoverRatio" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="fuel" type="{http://simstadt.eu/ade/energy}Fuel" minOccurs="0"/>
 *         &lt;element name="finalEnergy" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="yearlyGlobalEfficiency" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="nominalEfficiency" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="efficiencyUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="installedNominalPower" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EnergyGenerationSystem", propOrder = {
    "id",
    "name",
    "description",
    "energyDemandCoverRatio",
    "fuel",
    "finalEnergy",
    "yearlyGlobalEfficiency",
    "nominalEfficiency",
    "efficiencyUnit",
    "installedNominalPower"
})
public class EnergyGenerationSystem {

    protected Integer id;
    protected String name;
    protected String description;
    protected Double energyDemandCoverRatio;
    protected Fuel fuel;
    protected Integer finalEnergy;
    protected Double yearlyGlobalEfficiency;
    protected Double nominalEfficiency;
    protected String efficiencyUnit;
    protected Double installedNominalPower;

    /**
     * Ruft den Wert der id-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getId() {
        return id;
    }

    /**
     * Legt den Wert der id-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setId(Integer value) {
        this.id = value;
    }

    public boolean isSetId() {
        return (this.id!= null);
    }

    /**
     * Ruft den Wert der name-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Legt den Wert der name-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    public boolean isSetName() {
        return (this.name!= null);
    }

    /**
     * Ruft den Wert der description-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Legt den Wert der description-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    public boolean isSetDescription() {
        return (this.description!= null);
    }

    /**
     * Ruft den Wert der energyDemandCoverRatio-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getEnergyDemandCoverRatio() {
        return energyDemandCoverRatio;
    }

    /**
     * Legt den Wert der energyDemandCoverRatio-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setEnergyDemandCoverRatio(Double value) {
        this.energyDemandCoverRatio = value;
    }

    public boolean isSetEnergyDemandCoverRatio() {
        return (this.energyDemandCoverRatio!= null);
    }

    /**
     * Ruft den Wert der fuel-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Fuel }
     *     
     */
    public Fuel getFuel() {
        return fuel;
    }

    /**
     * Legt den Wert der fuel-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Fuel }
     *     
     */
    public void setFuel(Fuel value) {
        this.fuel = value;
    }

    public boolean isSetFuel() {
        return (this.fuel!= null);
    }

    /**
     * Ruft den Wert der finalEnergy-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFinalEnergy() {
        return finalEnergy;
    }

    /**
     * Legt den Wert der finalEnergy-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFinalEnergy(Integer value) {
        this.finalEnergy = value;
    }

    public boolean isSetFinalEnergy() {
        return (this.finalEnergy!= null);
    }

    /**
     * Ruft den Wert der yearlyGlobalEfficiency-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getYearlyGlobalEfficiency() {
        return yearlyGlobalEfficiency;
    }

    /**
     * Legt den Wert der yearlyGlobalEfficiency-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setYearlyGlobalEfficiency(Double value) {
        this.yearlyGlobalEfficiency = value;
    }

    public boolean isSetYearlyGlobalEfficiency() {
        return (this.yearlyGlobalEfficiency!= null);
    }

    /**
     * Ruft den Wert der nominalEfficiency-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getNominalEfficiency() {
        return nominalEfficiency;
    }

    /**
     * Legt den Wert der nominalEfficiency-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setNominalEfficiency(Double value) {
        this.nominalEfficiency = value;
    }

    public boolean isSetNominalEfficiency() {
        return (this.nominalEfficiency!= null);
    }

    /**
     * Ruft den Wert der efficiencyUnit-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEfficiencyUnit() {
        return efficiencyUnit;
    }

    /**
     * Legt den Wert der efficiencyUnit-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEfficiencyUnit(String value) {
        this.efficiencyUnit = value;
    }

    public boolean isSetEfficiencyUnit() {
        return (this.efficiencyUnit!= null);
    }

    /**
     * Ruft den Wert der installedNominalPower-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getInstalledNominalPower() {
        return installedNominalPower;
    }

    /**
     * Legt den Wert der installedNominalPower-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setInstalledNominalPower(Double value) {
        this.installedNominalPower = value;
    }

    public boolean isSetInstalledNominalPower() {
        return (this.installedNominalPower!= null);
    }

}
