
package eu.simstadt.ade.energy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für PhysicsProperties complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="PhysicsProperties">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="yearOfRefurbishment" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="variant" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="atticHeating" type="{http://simstadt.eu/ade/energy}extraRoomHeatingType" minOccurs="0"/>
 *         &lt;element name="basementHeating" type="{http://simstadt.eu/ade/energy}extraRoomHeatingType" minOccurs="0"/>
 *         &lt;element name="surfaceAreaToVolumeRatio" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="heatedArea" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="indirectlyHeatedAreaRatio" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="heatedVolume" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="meanUValue" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="thermalBridgeUValue" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="buildingEffectiveThermalCapacity" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="infiltrationRate" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PhysicsProperties", propOrder = {
    "yearOfRefurbishment",
    "variant",
    "atticHeating",
    "basementHeating",
    "surfaceAreaToVolumeRatio",
    "heatedArea",
    "indirectlyHeatedAreaRatio",
    "heatedVolume",
    "meanUValue",
    "thermalBridgeUValue",
    "buildingEffectiveThermalCapacity",
    "infiltrationRate"
})
public class PhysicsProperties {

    protected Integer yearOfRefurbishment;
    protected String variant;
    protected ExtraRoomHeatingType atticHeating;
    protected ExtraRoomHeatingType basementHeating;
    protected Double surfaceAreaToVolumeRatio;
    protected Double heatedArea;
    protected Double indirectlyHeatedAreaRatio;
    protected Double heatedVolume;
    protected Double meanUValue;
    protected Double thermalBridgeUValue;
    protected Double buildingEffectiveThermalCapacity;
    protected Double infiltrationRate;

    /**
     * Ruft den Wert der yearOfRefurbishment-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getYearOfRefurbishment() {
        return yearOfRefurbishment;
    }

    /**
     * Legt den Wert der yearOfRefurbishment-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setYearOfRefurbishment(Integer value) {
        this.yearOfRefurbishment = value;
    }

    public boolean isSetYearOfRefurbishment() {
        return (this.yearOfRefurbishment!= null);
    }

    /**
     * Ruft den Wert der variant-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVariant() {
        return variant;
    }

    /**
     * Legt den Wert der variant-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVariant(String value) {
        this.variant = value;
    }

    public boolean isSetVariant() {
        return (this.variant!= null);
    }

    /**
     * Ruft den Wert der atticHeating-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ExtraRoomHeatingType }
     *     
     */
    public ExtraRoomHeatingType getAtticHeating() {
        return atticHeating;
    }

    /**
     * Legt den Wert der atticHeating-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ExtraRoomHeatingType }
     *     
     */
    public void setAtticHeating(ExtraRoomHeatingType value) {
        this.atticHeating = value;
    }

    public boolean isSetAtticHeating() {
        return (this.atticHeating!= null);
    }

    /**
     * Ruft den Wert der basementHeating-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ExtraRoomHeatingType }
     *     
     */
    public ExtraRoomHeatingType getBasementHeating() {
        return basementHeating;
    }

    /**
     * Legt den Wert der basementHeating-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ExtraRoomHeatingType }
     *     
     */
    public void setBasementHeating(ExtraRoomHeatingType value) {
        this.basementHeating = value;
    }

    public boolean isSetBasementHeating() {
        return (this.basementHeating!= null);
    }

    /**
     * Ruft den Wert der surfaceAreaToVolumeRatio-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getSurfaceAreaToVolumeRatio() {
        return surfaceAreaToVolumeRatio;
    }

    /**
     * Legt den Wert der surfaceAreaToVolumeRatio-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setSurfaceAreaToVolumeRatio(Double value) {
        this.surfaceAreaToVolumeRatio = value;
    }

    public boolean isSetSurfaceAreaToVolumeRatio() {
        return (this.surfaceAreaToVolumeRatio!= null);
    }

    /**
     * Ruft den Wert der heatedArea-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getHeatedArea() {
        return heatedArea;
    }

    /**
     * Legt den Wert der heatedArea-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setHeatedArea(Double value) {
        this.heatedArea = value;
    }

    public boolean isSetHeatedArea() {
        return (this.heatedArea!= null);
    }

    /**
     * Ruft den Wert der indirectlyHeatedAreaRatio-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getIndirectlyHeatedAreaRatio() {
        return indirectlyHeatedAreaRatio;
    }

    /**
     * Legt den Wert der indirectlyHeatedAreaRatio-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setIndirectlyHeatedAreaRatio(Double value) {
        this.indirectlyHeatedAreaRatio = value;
    }

    public boolean isSetIndirectlyHeatedAreaRatio() {
        return (this.indirectlyHeatedAreaRatio!= null);
    }

    /**
     * Ruft den Wert der heatedVolume-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getHeatedVolume() {
        return heatedVolume;
    }

    /**
     * Legt den Wert der heatedVolume-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setHeatedVolume(Double value) {
        this.heatedVolume = value;
    }

    public boolean isSetHeatedVolume() {
        return (this.heatedVolume!= null);
    }

    /**
     * Ruft den Wert der meanUValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getMeanUValue() {
        return meanUValue;
    }

    /**
     * Legt den Wert der meanUValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setMeanUValue(Double value) {
        this.meanUValue = value;
    }

    public boolean isSetMeanUValue() {
        return (this.meanUValue!= null);
    }

    /**
     * Ruft den Wert der thermalBridgeUValue-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getThermalBridgeUValue() {
        return thermalBridgeUValue;
    }

    /**
     * Legt den Wert der thermalBridgeUValue-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setThermalBridgeUValue(Double value) {
        this.thermalBridgeUValue = value;
    }

    public boolean isSetThermalBridgeUValue() {
        return (this.thermalBridgeUValue!= null);
    }

    /**
     * Ruft den Wert der buildingEffectiveThermalCapacity-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getBuildingEffectiveThermalCapacity() {
        return buildingEffectiveThermalCapacity;
    }

    /**
     * Legt den Wert der buildingEffectiveThermalCapacity-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setBuildingEffectiveThermalCapacity(Double value) {
        this.buildingEffectiveThermalCapacity = value;
    }

    public boolean isSetBuildingEffectiveThermalCapacity() {
        return (this.buildingEffectiveThermalCapacity!= null);
    }

    /**
     * Ruft den Wert der infiltrationRate-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getInfiltrationRate() {
        return infiltrationRate;
    }

    /**
     * Legt den Wert der infiltrationRate-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setInfiltrationRate(Double value) {
        this.infiltrationRate = value;
    }

    public boolean isSetInfiltrationRate() {
        return (this.infiltrationRate!= null);
    }

}
