
package eu.simstadt.ade.energy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für SpatialProperties complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SpatialProperties">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence minOccurs="0">
 *         &lt;element name="centerGeoCoordinates" type="{http://simstadt.eu/ade/energy}Coord3" minOccurs="0"/>
 *         &lt;element name="storeysAboveGround" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="averageStoreyHeight" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="basementCeilingHeightAboveGroundSurface" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="grossVolume" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="meanHeight" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="ridgeHeight" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="eavesHeight" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="footprintArea" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SpatialProperties", propOrder = {
    "centerGeoCoordinates",
    "storeysAboveGround",
    "averageStoreyHeight",
    "basementCeilingHeightAboveGroundSurface",
    "grossVolume",
    "meanHeight",
    "ridgeHeight",
    "eavesHeight",
    "footprintArea"
})
public class SpatialProperties {

    protected Coord3 centerGeoCoordinates;
    protected Integer storeysAboveGround;
    protected Double averageStoreyHeight;
    protected Double basementCeilingHeightAboveGroundSurface;
    protected Double grossVolume;
    protected Double meanHeight;
    protected Double ridgeHeight;
    protected Double eavesHeight;
    protected Double footprintArea;

    /**
     * Ruft den Wert der centerGeoCoordinates-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Coord3 }
     *     
     */
    public Coord3 getCenterGeoCoordinates() {
        return centerGeoCoordinates;
    }

    /**
     * Legt den Wert der centerGeoCoordinates-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Coord3 }
     *     
     */
    public void setCenterGeoCoordinates(Coord3 value) {
        this.centerGeoCoordinates = value;
    }

    public boolean isSetCenterGeoCoordinates() {
        return (this.centerGeoCoordinates!= null);
    }

    /**
     * Ruft den Wert der storeysAboveGround-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getStoreysAboveGround() {
        return storeysAboveGround;
    }

    /**
     * Legt den Wert der storeysAboveGround-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setStoreysAboveGround(Integer value) {
        this.storeysAboveGround = value;
    }

    public boolean isSetStoreysAboveGround() {
        return (this.storeysAboveGround!= null);
    }

    /**
     * Ruft den Wert der averageStoreyHeight-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getAverageStoreyHeight() {
        return averageStoreyHeight;
    }

    /**
     * Legt den Wert der averageStoreyHeight-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setAverageStoreyHeight(Double value) {
        this.averageStoreyHeight = value;
    }

    public boolean isSetAverageStoreyHeight() {
        return (this.averageStoreyHeight!= null);
    }

    /**
     * Ruft den Wert der basementCeilingHeightAboveGroundSurface-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getBasementCeilingHeightAboveGroundSurface() {
        return basementCeilingHeightAboveGroundSurface;
    }

    /**
     * Legt den Wert der basementCeilingHeightAboveGroundSurface-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setBasementCeilingHeightAboveGroundSurface(Double value) {
        this.basementCeilingHeightAboveGroundSurface = value;
    }

    public boolean isSetBasementCeilingHeightAboveGroundSurface() {
        return (this.basementCeilingHeightAboveGroundSurface!= null);
    }

    /**
     * Ruft den Wert der grossVolume-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getGrossVolume() {
        return grossVolume;
    }

    /**
     * Legt den Wert der grossVolume-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setGrossVolume(Double value) {
        this.grossVolume = value;
    }

    public boolean isSetGrossVolume() {
        return (this.grossVolume!= null);
    }

    /**
     * Ruft den Wert der meanHeight-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getMeanHeight() {
        return meanHeight;
    }

    /**
     * Legt den Wert der meanHeight-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setMeanHeight(Double value) {
        this.meanHeight = value;
    }

    public boolean isSetMeanHeight() {
        return (this.meanHeight!= null);
    }

    /**
     * Ruft den Wert der ridgeHeight-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getRidgeHeight() {
        return ridgeHeight;
    }

    /**
     * Legt den Wert der ridgeHeight-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setRidgeHeight(Double value) {
        this.ridgeHeight = value;
    }

    public boolean isSetRidgeHeight() {
        return (this.ridgeHeight!= null);
    }

    /**
     * Ruft den Wert der eavesHeight-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getEavesHeight() {
        return eavesHeight;
    }

    /**
     * Legt den Wert der eavesHeight-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setEavesHeight(Double value) {
        this.eavesHeight = value;
    }

    public boolean isSetEavesHeight() {
        return (this.eavesHeight!= null);
    }

    /**
     * Ruft den Wert der footprintArea-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getFootprintArea() {
        return footprintArea;
    }

    /**
     * Legt den Wert der footprintArea-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setFootprintArea(Double value) {
        this.footprintArea = value;
    }

    public boolean isSetFootprintArea() {
        return (this.footprintArea!= null);
    }

}
