
package eu.simstadt.ade.energy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für UsageZone complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="UsageZone">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="dwellingNumber" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="usageType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="zoneArea" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="occupantNumber" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="averageInternGains" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="heatingSetpointTemperature" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="heatingSetbackTemperature" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="coolingSetpointTemperature" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="healthyAirChangeRate" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="dhwDemand" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="usageHoursPerDay" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="usageDaysPerYear" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UsageZone", propOrder = {
    "dwellingNumber",
    "usageType",
    "zoneArea",
    "occupantNumber",
    "averageInternGains",
    "heatingSetpointTemperature",
    "heatingSetbackTemperature",
    "coolingSetpointTemperature",
    "healthyAirChangeRate",
    "dhwDemand",
    "usageHoursPerDay",
    "usageDaysPerYear"
})
public class UsageZone {

    protected Integer dwellingNumber;
    @XmlElement(required = true)
    protected String usageType;
    protected double zoneArea;
    protected Double occupantNumber;
    protected Double averageInternGains;
    protected Double heatingSetpointTemperature;
    protected Double heatingSetbackTemperature;
    protected Double coolingSetpointTemperature;
    protected Double healthyAirChangeRate;
    protected Integer dhwDemand;
    protected Integer usageHoursPerDay;
    protected Integer usageDaysPerYear;

    /**
     * Ruft den Wert der dwellingNumber-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDwellingNumber() {
        return dwellingNumber;
    }

    /**
     * Legt den Wert der dwellingNumber-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDwellingNumber(Integer value) {
        this.dwellingNumber = value;
    }

    public boolean isSetDwellingNumber() {
        return (this.dwellingNumber!= null);
    }

    /**
     * Ruft den Wert der usageType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUsageType() {
        return usageType;
    }

    /**
     * Legt den Wert der usageType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUsageType(String value) {
        this.usageType = value;
    }

    public boolean isSetUsageType() {
        return (this.usageType!= null);
    }

    /**
     * Ruft den Wert der zoneArea-Eigenschaft ab.
     * 
     */
    public double getZoneArea() {
        return zoneArea;
    }

    /**
     * Legt den Wert der zoneArea-Eigenschaft fest.
     * 
     */
    public void setZoneArea(double value) {
        this.zoneArea = value;
    }

    public boolean isSetZoneArea() {
        return true;
    }

    /**
     * Ruft den Wert der occupantNumber-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getOccupantNumber() {
        return occupantNumber;
    }

    /**
     * Legt den Wert der occupantNumber-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setOccupantNumber(Double value) {
        this.occupantNumber = value;
    }

    public boolean isSetOccupantNumber() {
        return (this.occupantNumber!= null);
    }

    /**
     * Ruft den Wert der averageInternGains-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getAverageInternGains() {
        return averageInternGains;
    }

    /**
     * Legt den Wert der averageInternGains-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setAverageInternGains(Double value) {
        this.averageInternGains = value;
    }

    public boolean isSetAverageInternGains() {
        return (this.averageInternGains!= null);
    }

    /**
     * Ruft den Wert der heatingSetpointTemperature-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getHeatingSetpointTemperature() {
        return heatingSetpointTemperature;
    }

    /**
     * Legt den Wert der heatingSetpointTemperature-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setHeatingSetpointTemperature(Double value) {
        this.heatingSetpointTemperature = value;
    }

    public boolean isSetHeatingSetpointTemperature() {
        return (this.heatingSetpointTemperature!= null);
    }

    /**
     * Ruft den Wert der heatingSetbackTemperature-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getHeatingSetbackTemperature() {
        return heatingSetbackTemperature;
    }

    /**
     * Legt den Wert der heatingSetbackTemperature-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setHeatingSetbackTemperature(Double value) {
        this.heatingSetbackTemperature = value;
    }

    public boolean isSetHeatingSetbackTemperature() {
        return (this.heatingSetbackTemperature!= null);
    }

    /**
     * Ruft den Wert der coolingSetpointTemperature-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getCoolingSetpointTemperature() {
        return coolingSetpointTemperature;
    }

    /**
     * Legt den Wert der coolingSetpointTemperature-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setCoolingSetpointTemperature(Double value) {
        this.coolingSetpointTemperature = value;
    }

    public boolean isSetCoolingSetpointTemperature() {
        return (this.coolingSetpointTemperature!= null);
    }

    /**
     * Ruft den Wert der healthyAirChangeRate-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getHealthyAirChangeRate() {
        return healthyAirChangeRate;
    }

    /**
     * Legt den Wert der healthyAirChangeRate-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setHealthyAirChangeRate(Double value) {
        this.healthyAirChangeRate = value;
    }

    public boolean isSetHealthyAirChangeRate() {
        return (this.healthyAirChangeRate!= null);
    }

    /**
     * Ruft den Wert der dhwDemand-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDhwDemand() {
        return dhwDemand;
    }

    /**
     * Legt den Wert der dhwDemand-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDhwDemand(Integer value) {
        this.dhwDemand = value;
    }

    public boolean isSetDhwDemand() {
        return (this.dhwDemand!= null);
    }

    /**
     * Ruft den Wert der usageHoursPerDay-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getUsageHoursPerDay() {
        return usageHoursPerDay;
    }

    /**
     * Legt den Wert der usageHoursPerDay-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setUsageHoursPerDay(Integer value) {
        this.usageHoursPerDay = value;
    }

    public boolean isSetUsageHoursPerDay() {
        return (this.usageHoursPerDay!= null);
    }

    /**
     * Ruft den Wert der usageDaysPerYear-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getUsageDaysPerYear() {
        return usageDaysPerYear;
    }

    /**
     * Legt den Wert der usageDaysPerYear-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setUsageDaysPerYear(Integer value) {
        this.usageDaysPerYear = value;
    }

    public boolean isSetUsageDaysPerYear() {
        return (this.usageDaysPerYear!= null);
    }

}
